#include <cassert>
#include "spells/selfmovespell.h"
#include "units/unit.h"
#include "cell.h"
#include <string>


void SelfMoveSpell::CastSpell(Cell* from, Cell* where, Unit* who, Unit* whom){
    effects_[0] -> OperateOnUnitToCell(who, where);
}

bool SelfMoveSpell::canCastToCell(Cell* destination, Cell* from){
    return isNeirbor(destination, from);
}
